/////////////////////////////////////////////////////////////////////////////
// SCom: unified structure for the most important comport variables

struct SCom
{
	unsigned long BaudRate;
	char          ByteSize;
	char          Parity;
	char          StopBits;
	DWORD ReadIntervalTimeout;
	DWORD ReadTotalTimeoutMultiplier;
	DWORD ReadTotalTimeoutConstant;
	DWORD WriteTotalTimeoutMultiplier;
	DWORD WriteTotalTimeoutConstant;
};
/////////////////////////////////////////////////////////////////////////////
// CCom: handles the serial port

class CCom
{
public:
	char cDuplex;
	char cMessageOut;
	HANDLE hCom;	

	CCom(void);
	~CCom(void);

	char IsOpen(void);

	DWORD Open(char);
	DWORD Close(void);
	DWORD GetDCB(DCB*);
	DWORD SetDCB(DCB*);
	DWORD GetTimeouts(COMMTIMEOUTS*);
	DWORD SetTimeouts(COMMTIMEOUTS*);
	DWORD OverwriteState(SCom*);
	DWORD Write(const char*);
	DWORD Read(char*,unsigned long);

protected:
	char   m_cOpen;
}; 
